## pykdtree 1.4.3+ds

=== Makefile ===
.PHONY: clean build

build: pykdtree/kdtree.c pykdtree/_kdtree_core.c
	python setup.py build

pykdtree/kdtree.c: pykdtree/kdtree.pyx
	cython pykdtree/kdtree.pyx

pykdtree/_kdtree_core.c: pykdtree/_kdtree_core.c.mako
	cd pykdtree && python render_template.py

clean:
	rm -rf build/
	rm -f pykdtree/*.so

## pykdtree 0.2

=== debian/changelog ===
pykdtree (0.2-1) unstable; urgency=low

  * Initial release (Closes: #752225)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Jun 2014 09:56:06 +0000

=== debian/control ===
Source: pykdtree
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper (>= 9.0.0),
               python-setuptools,
               python-all-dev,
               python-numpy,
               python-nose
Standards-Version: 3.9.5
Homepage: https://pypi.python.org/pypi/pykdtree
Vcs-Git: http://anonscm.debian.org/git/pkg-grass/pykdtree.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/pykdtree.git;a=summary
XS-Testsuite: autopkgtest

Package: python-pykdtree
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Description: Fast kd-tree implementation with OpenMP-enabled queries
 pykdtree is a kd-tree implementation for fast nearest neighbour search
 in Python. The aim is to be the fastest implementation around for
 common use cases (low dimensions and low number of neighbours) for
 both tree construction and queries.
 .
 The implementation is based on scipy.spatial.cKDTree and libANN by
 combining the best features from both and focus on implementation
 efficiency.
 .
 The interface is similar to that of scipy.spatial.cKDTree except only
 Euclidean distance measure is supported.
 .
 Queries are optionally multithreaded using OpenMP.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PY2VERS = $(shell pyversions -r -v)


%:
	dh $@ --with python2 --buildsystem=python_distutils


override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e -x; \
	for py in $(PY2VERS); do \
		cd $(CURDIR)/build/lib.*-$$py; \
		env PYTHONPATH=. python$$py /usr/bin/nosetests -v pykdtree.test_tree; \
	done
endif


.PHONY: override_dh_auto_test

=== debian/tests/control ===
Tests: python2
Depends: python-pykdtree, python-all, python-nose

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://pypi.python.org/packages/source/p/pykdtree/pykdtree-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pykdtree 1.2.1

=== debian/changelog ===
pykdtree (1.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 30 Jul 2016 10:10:20 +0000

pykdtree (1.1.1-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release
  * New package for Python 3
  * debian/control
    - standard version bumped to 3.9.8 (no change)
  * debian/rules
    - enable parallel build
  * debian/copyright
    - fix DEP-5 url

  [ Bas Couwenberg ]
  * Override dh_python2 to call dh_numpy too.
  * Enable all hardening buildflags, except PIE.
  * Update dh_python{2,3} & dh_numpy{,3} calls to act on specific package.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 02 Jul 2016 16:54:36 +0000

pykdtree (1.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - added an explicit build dependency from dh-python
    - standards version bump to 3.9.7
    - update vcs-* fields urls
  * Fix debian/watch file
  * Refresh all patches
  * Update license file
  * debian/gbp.conf added
  * Switch to pybuild

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 21 Feb 2016 12:53:05 +0000

=== debian/control ===
Source: pykdtree
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9.0.0),
               dh-python,
               python-setuptools,
               python3-setuptools,
               python-all-dev,
               python3-all-dev,
               python-numpy,
               python3-numpy,
               python-nose,
               python3-nose
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pykdtree.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pykdtree.git
Homepage: https://pypi.python.org/pypi/pykdtree

Package: python-pykdtree
Architecture: any
Depends: ${shlibs:Depends},
         ${python:Depends},
         ${misc:Depends}
Description: Fast kd-tree implementation with OpenMP-enabled queries (Python 2 version)
 pykdtree is a kd-tree implementation for fast nearest neighbour search
 in Python. The aim is to be the fastest implementation around for
 common use cases (low dimensions and low number of neighbours) for
 both tree construction and queries.
 .
 The implementation is based on scipy.spatial.cKDTree and libANN by
 combining the best features from both and focus on implementation
 efficiency.
 .
 The interface is similar to that of scipy.spatial.cKDTree except only
 Euclidean distance measure is supported.
 .
 Queries are optionally multithreaded using OpenMP.
 .
 This is the Python 2 version of the package.

Package: python3-pykdtree
Architecture: any
Depends: ${shlibs:Depends},
         ${python3:Depends},
         ${misc:Depends}
Description: Fast kd-tree implementation with OpenMP-enabled queries (Python 3 version)
 pykdtree is a kd-tree implementation for fast nearest neighbour search
 in Python. The aim is to be the fastest implementation around for
 common use cases (low dimensions and low number of neighbours) for
 both tree construction and queries.
 .
 The implementation is based on scipy.spatial.cKDTree and libANN by
 combining the best features from both and focus on implementation
 efficiency.
 .
 The interface is similar to that of scipy.spatial.cKDTree except only
 Euclidean distance measure is supported.
 .
 Queries are optionally multithreaded using OpenMP.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

export PYBUILD_NAME=pykdtree

%:
	dh $@ --parallel --with python2,python3 --buildsystem=pybuild

override_dh_python2:
	dh_python2 -ppython-pykdtree
	dh_numpy -ppython-pykdtree

override_dh_python3:
	dh_python3 -ppython3-pykdtree
	dh_numpy3 -ppython3-pykdtree

## pykdtree 1.2.2

=== debian/changelog ===
pykdtree (1.2.2-3build1) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:26:52 +0000

pykdtree (1.2.2-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.0.0, no changes.
  * Enable PIE hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Jun 2017 20:10:35 +0200

pykdtree (1.2.2-2) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 16:25:19 +0200

pykdtree (1.2.2-1) experimental; urgency=medium

  * New upstream release
  * Refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 04 Jun 2017 07:58:21 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-numpy,
                python-nose,
                python3-nose
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pykdtree.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pykdtree.git
 Homepage: https://pypi.python.org/pypi/pykdtree

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 # Enable hardening build flags
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export PYBUILD_NAME=pykdtree

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/pykdtree/pykdtree-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pykdtree 1.3.1

=== debian/changelog ===
pykdtree (1.3.1-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.5, no changes.
  * Rebuild with Python 3.7.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Jul 2018 14:33:18 +0200

pykdtree (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches
    - refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 25 Jun 2018 06:12:18 +0000

pykdtree (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.4, no changes.
  * Change Homepage & Source URL to GitHub repository.
  * Strip trailing whitespace from rules files.
  * debian/patches
    - drop 0002-safe-clean.patch, no longer necessary

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 04 Jun 2018 19:37:00 +0000

pykdtree (1.2.2-4) unstable; urgency=medium

  * Standard version bumped to 4.1.3 (no change)
  * debian/watch
    - use secure URL
  * debian/control
    - remove unnecessary testsuite autopkgtest field
  * debian/rules
    - remove unnecessary dh argument (--parallel)
  * Set compat to 11.
  * Add upstream metadata.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 04 Mar 2018 08:37:37 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
-Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python-setuptools,
                python3-setuptools,
@@ -14,10 +13,10 @@
                python3-numpy,
                python-nose,
                python3-nose
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pykdtree.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pykdtree.git
-Homepage: https://pypi.python.org/pypi/pykdtree
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/pykdtree
+Vcs-Git: https://salsa.debian.org/debian-gis-team/pykdtree.git
+Homepage: https://github.com/pytroll/pykdtree
 
 Package: python-pykdtree
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 export PYBUILD_NAME=pykdtree
 
 %:
-	dh $@ --parallel --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python2,python3 --buildsystem=pybuild
 
 override_dh_python2:
 	dh_python2 -ppython-pykdtree
@@ -19,4 +19,3 @@
 override_dh_python3:
 	dh_python3 -ppython3-pykdtree
 	dh_numpy3 -ppython3-pykdtree
-

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pykdtree/pykdtree-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pykdtree 1.3.4%2Bds

=== debian/changelog ===
pykdtree (1.3.4+ds-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:57:35 +0000

pykdtree (1.3.4+ds-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.0, no changes.
  * Update watch file for GitHub URL changes.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Nov 2021 17:42:58 +0000

pykdtree (1.3.4+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 14 Nov 2020 06:34:22 +0000

pykdtree (1.3.3+ds-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * Do not import autogenerated C sources.
  * debian/rules:
    - remove redundant call to cython3
    - ensure .c source files generation
  * Drop debian/source/lintian-overrides, no longer necessary.

  [ Bas Couwenberg ]
  * Update watch file to use repacksuffix.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 10 Nov 2020 07:35:44 +0000

pykdtree (1.3.1+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Provides: ${python3:Provides}.
  * Drop Name field from upstream metadata.
  * Update upstream git repo URL.
    (closes: #972169)
  * Update watch file to use GitHub releases instead of PyPI.
  * New repacked upstream release.
    (closes: #972168)
  * Override dh_auto_configure target to regenerate _kdtree_core.c.
  * Drop obsolete patch.
  * Replace deprecated ADTTMP with AUTOPKGTEST_TMP.
  * Add override for missing-explanation-for-repacked-upstream-tarball.

  [ Antonio Valentino ]
  * Regenerate C sources (closes: #972020).
  * Set debhelper-compat version in Build-Depends.
  * debian/control:
    - added Rules-Requires-Root and Testsuite fields
    - added build dependencies on python3-mako and cython3

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 13 Oct 2020 18:00:57 +0000

pykdtree (1.3.1-4) unstable; urgency=medium

  * Update autopkgtest in debian/tests to use Python 3 instead of Python 2.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 24 Jul 2019 05:36:33 +0000

pykdtree (1.3.1-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.4.0, no changes.
  * Update gbp.conf to use --source-only-changes by default.

  [ Antonio Valentino ]
  * Drop Python 2 support.
  * Set compat ro 12.
  * Add ${python3:Provides} substvar to arch: any packages.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 21 Jul 2019 14:29:59 +0000

## pykdtree 1.3.4+ds

=== debian/control ===
Source: pykdtree
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Build-Depends: debhelper-compat (= 12),
               dh-python,
               cython3,
               python3-all-dev,
               python3-mako,
               python3-nose,
               python3-numpy,
               python3-setuptools
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pykdtree
Vcs-Git: https://salsa.debian.org/debian-gis-team/pykdtree.git
Homepage: https://github.com/storpipfugl/pykdtree

Package: python3-pykdtree
Architecture: any
Depends: ${shlibs:Depends},
         ${python3:Depends},
         ${misc:Depends}
Description: Fast kd-tree implementation with OpenMP-enabled queries (Python 3 version)
 pykdtree is a kd-tree implementation for fast nearest neighbour search
 in Python. The aim is to be the fastest implementation around for
 common use cases (low dimensions and low number of neighbours) for
 both tree construction and queries.
 .
 The implementation is based on scipy.spatial.cKDTree and libANN by
 combining the best features from both and focus on implementation
 efficiency.
 .
 The interface is similar to that of scipy.spatial.cKDTree except only
 Euclidean distance measure is supported.
 .
 Queries are optionally multithreaded using OpenMP.
 .
 This is the Python 3 version of the package.

=== debian/tests/control ===
Tests: python3
Depends: python3-pykdtree, python3-all, python3-nose

## pykdtree 1.3.5+ds

=== debian/changelog ===
pykdtree (1.3.5+ds-2) unstable; urgency=medium

  * Fix autopkgtest.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 12 Jun 2022 10:06:55 +0000

pykdtree (1.3.5+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update dependencies in d/control and d/tests/control.
  * Update d/tests/python3 to use pytest.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 11 Jun 2022 10:54:35 +0000

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                cython3,
                python3-all-dev,
                python3-mako,
-               python3-nose,
+               python3-pytest,
                python3-numpy,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pykdtree
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pykdtree.git
 Homepage: https://github.com/storpipfugl/pykdtree

## pykdtree 1.3.6%2Bds

=== debian/tests/control ===
Tests: python3
Depends: python3-pykdtree, python3-all, python3-pytest

## pykdtree 1.3.6+ds

=== debian/changelog ===
pykdtree (1.3.6+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 31 Oct 2022 17:41:24 +0000

pykdtree (1.3.5+ds-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.
  * Use supported python3 versions in autopkgtest.

  [ Antonio Valentino ]
  * Fix d/copyright formatting.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Oct 2022 14:12:14 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-pytest,
                python3-numpy,
                python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pykdtree
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pykdtree.git
 Homepage: https://github.com/storpipfugl/pykdtree

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=pykdtree

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_configure:
	dh_auto_configure
	cython3 pykdtree/kdtree.pyx
	cd pykdtree && python3 render_template.py

override_dh_python3:
	dh_python3 -ppython3-pykdtree
	dh_numpy3 -ppython3-pykdtree

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r pykdtree.egg-info
	$(RM) pykdtree/kdtree.c pykdtree/_kdtree_core.c

## pykdtree 1.3.7+ds

=== debian/changelog ===
pykdtree (1.3.7+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Enable numpy3 dh helper.
  * Enable Salsa CI.
  * Bump Standards-Version to 4.6.2, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Update copyright dates in d/copyright.
  * Bump debhelper-compat version to 13.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 11 Jun 2023 15:48:12 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                cython3,
                python3-all-dev,
@@ -13,7 +13,7 @@
                python3-pytest,
                python3-numpy,
                python3-setuptools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pykdtree
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pykdtree.git
 Homepage: https://github.com/storpipfugl/pykdtree

=== debian/rules ===
--- 
+++ 
@@ -10,17 +10,13 @@
 export PYBUILD_NAME=pykdtree
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3,numpy3 --buildsystem=pybuild
 
 override_dh_auto_configure:
 	dh_auto_configure
 	cython3 pykdtree/kdtree.pyx
 	cd pykdtree && python3 render_template.py
 
-override_dh_python3:
-	dh_python3 -ppython3-pykdtree
-	dh_numpy3 -ppython3-pykdtree
-
 override_dh_auto_clean:
 	dh_auto_clean
 	$(RM) -r pykdtree.egg-info

## pykdtree 1.3.9+ds

=== debian/changelog ===
pykdtree (1.3.9+ds-1deepin1) unstable; urgency=medium

  * No source change upload against python 3.12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Mon, 08 Jul 2024 09:54:04 +0200

pykdtree (1.3.9+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Remove generated files in clean target.
  * Switch to dh-sequence-*.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Use <!nocheck> marker.
    - Buold-depend on pybuild-plugin-pyproject.
  * Switch to autopkgtest-pkg-pybuild and drop the
    no longer needed d/tests folder.
  * New d/python3-pykdtree.lintian-overrides file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 23 Sep 2023 16:11:49 +0000

## pykdtree 1.3.11+ds

=== debian/changelog ===
pykdtree (1.3.11+ds-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:23:48 +0000

pykdtree (1.3.11+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 17 Feb 2024 07:36:29 +0000

pykdtree (1.3.10+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Build-depend on cython3 >= 3.0.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 26 Dec 2023 08:20:48 +0000

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,16 @@
 Section: python
 Priority: optional
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-python
-Build-Depends: debhelper-compat (= 13),
+Testsuite: autopkgtest-pkg-pybuild
+Build-Depends: cython3 (>= 3.0),
+               debhelper-compat (= 13),
                dh-python,
-               cython3,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-mako,
-               python3-pytest,
+               python3-pytest <!nocheck>,
                python3-numpy,
                python3-setuptools
 Standards-Version: 4.6.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=pykdtree
export PYBUILD_TEST_ARGS=--pyargs ${PYBUILD_NAME}

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_configure:
	cython3 pykdtree/kdtree.pyx
	cd pykdtree && python3 render_template.py

## pykdtree 1.3.12+ds

=== debian/changelog ===
pykdtree (1.3.12+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 15 Apr 2024 05:10:56 +0000

## pykdtree 1.3.13+ds

=== debian/changelog ===
pykdtree (1.3.13+ds-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:31:03 +0100

pykdtree (1.3.13+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Install the latest README.rst.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 07 Sep 2024 16:00:38 +0000

## pykdtree 1.4.1+ds

=== debian/changelog ===
pykdtree (1.4.1+ds-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 18:03:20 +0000

pykdtree (1.4.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 31 Jan 2025 09:03:11 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-pytest <!nocheck>,
                python3-numpy,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pykdtree
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pykdtree.git
 Homepage: https://github.com/storpipfugl/pykdtree

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|pykdtree)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pykdtree-$1.$2/,\
repacksuffix=+ds \
https://github.com/storpipfugl/pykdtree/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|pykdtree)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pykdtree 1.4.3%2Bds

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Priority: optional
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 Build-Depends: cython3 (>= 3.0),
                debhelper-compat (= 13),
@@ -13,10 +12,11 @@
                pybuild-plugin-pyproject,
                python3-all-dev,
                python3-mako,
+               python3-mypy <!nocheck>,
                python3-pytest <!nocheck>,
                python3-numpy,
                python3-setuptools
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pykdtree
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pykdtree.git
 Homepage: https://github.com/storpipfugl/pykdtree

## pykdtree 1.4.3+ds

=== debian/changelog ===
pykdtree (1.4.3+ds-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update lintian overrides.

  [ Antonio Valentino ]
  * debian/rules:
    - Skip test_mypy. No feature is broken.
      Linting fails due to a new feature n mypy.
      Closes: 1115132.
  * debian/control:
    - Drop 'Rules-Requires-Root: no', no lonter needed.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 20 Sep 2025 11:08:36 +0000

pykdtree (1.4.3+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Add dependency on mypy.
  * debian/patches:
    - New 0001-No-freethreading_compatible.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Aug 2025 08:29:47 +0000

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export PYBUILD_NAME=pykdtree
-export PYBUILD_TEST_ARGS=--pyargs ${PYBUILD_NAME}
+export PYBUILD_TEST_ARGS=--pyargs -k "not test_mypy" ${PYBUILD_NAME}
 
 %:
 	dh $@ --buildsystem=pybuild
